## django-session-security 2.4.0%2Bdfsg

=== docs/requirements.txt ===
django
pycco

## django-session-security 2.2.4+dfsg

=== debian/changelog ===
django-session-security (2.2.4+dfsg-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 06:38:39 +0000

django-session-security (2.2.4+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Upload to unstable.
  * Update my email address.
  * Removed jquery source, now provided upstream.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Wed, 17 Jun 2015 03:13:05 +0200

django-session-security (2.2.3+dfsg-1) experimental; urgency=medium

  * d/copyright: Add missing test_project's jquery.js entry.
  * Simplify d/clean.
  * Remove test_project/db.sqlite from upstream source:
    . Bumped version to include dsfg, new upstream tarball.
    . d/copyright: New Files-Excluded line.
    . Removed section from README.source.
    . Adjusted d/watch for +dfsg suffix.

 -- Jean-Michel Nirgal Vourgère <jmv_deb@nirgal.com>  Mon, 12 Jan 2015 12:18:43 +0100

django-session-security (2.2.3-1) experimental; urgency=low

  * Initial release. (Closes: #755186)

 -- Jean-Michel Nirgal Vourgère <jmv_deb@nirgal.com>  Thu, 04 Dec 2014 15:49:48 +0100

=== debian/control ===
Source: django-session-security
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
 dh-python,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
 python3-django,
 python3-sphinx
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jean-Michel Vourgère <nirgal@debian.org>
Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/django-session-security.git
Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-session-security.git
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Homepage: http://django-session-security.rtfd.org/

Package: python-django-session-security
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Python2 Django module to log a user out after X minutes
 A little javascript and middleware work together to ensure that the
 user was active during the past X minutes in any tab he has open.
 Otherwise, display a warning leaving a couple of minutes to show any
 kind of activity like moving the mouse. Otherwise, logout the user.
 .
 This is the Python 2 version.

Package: python3-django-session-security
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Python3 Django module to log a user out after X minutes
 A little javascript and middleware work together to ensure that the
 user was active during the past X minutes in any tab he has open.
 Otherwise, display a warning leaving a couple of minutes to show any
 kind of activity like moving the mouse. Otherwise, logout the user.
 .
 This is the Python 3 version.

## django-session-security 2.3.1+dfsg

=== debian/changelog ===
django-session-security (2.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Sun, 17 Jan 2016 10:29:51 +0530

django-session-security (2.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Added d/README.source after DPMT moved to git.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Sat, 26 Dec 2015 23:58:44 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,7 @@
  python3-setuptools,
  python3-django,
  python3-sphinx
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Jean-Michel Vourgère <nirgal@debian.org>
 Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/django-session-security.git
 Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-session-security.git

## django-session-security 2.3.2+dfsg

=== debian/changelog ===
django-session-security (2.3.2+dfsg-1) unstable; urgency=medium

  [ Jean-Michel Vourgère ]
  * New upstream version.
  * d/copyright: Fixed location of jquery that is embedded in source.
  * Uses jquery from libjs-jquery in binaries. Thanks lintian:
    - New d/*.links files.
    - New Recommends on package libjs-jquery.
  * Bumped policy to 3.9.8: No change required.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Jean-Michel Vourgère <nirgal@debian.org>  Mon, 18 Apr 2016 08:07:24 +0200

## django-session-security 2.4.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
  python3-sphinx
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Jean-Michel Vourgère <nirgal@debian.org>
-Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/django-session-security.git
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-session-security.git
-Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-session-security.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-session-security.git
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 Homepage: http://django-session-security.rtfd.org/
@@ -23,6 +23,7 @@
 Depends: ${python:Depends},
          ${misc:Depends},
          ${sphinxdoc:Depends}
+Recommends: libjs-jquery
 Description: Python2 Django module to log a user out after X minutes
  A little javascript and middleware work together to ensure that the
  user was active during the past X minutes in any tab he has open.
@@ -36,6 +37,7 @@
 Depends: ${python3:Depends},
          ${misc:Depends},
          ${sphinxdoc:Depends}
+Recommends: libjs-jquery
 Description: Python3 Django module to log a user out after X minutes
  A little javascript and middleware work together to ensure that the
  user was active during the past X minutes in any tab he has open.

## django-session-security 2.4.0+dfsg

=== debian/changelog ===
django-session-security (2.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Removed compiled Czech translation from the source.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Tue, 13 Sep 2016 19:02:35 +0200

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE=1
%:
	dh "$@" --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build -O--buildsystem=python_distutils
	python3 setup.py build_sphinx

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc\d*)$/~$1/,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg \
https://github.com/yourlabs/django-session-security/tags/ .*/(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## django-session-security 2.6.5%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE=1
%:
	dh "$@" --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 setup.py build_sphinx
endif

override_dh_auto_test:
	# sbo_selenium is required and not packaged yet
	# python3 setup.py test

## django-session-security 2.6.5+dfsg

=== debian/changelog ===
django-session-security (2.6.5+dfsg-3) unstable; urgency=medium

  * Version bump for source-only re-upload.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Thu, 22 Aug 2019 17:27:11 +0200

django-session-security (2.6.5+dfsg-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.
  * d/changelog: Remove trailing whitespaces.

  [ Thomas Goirand ]
  * Removed Python 2 support (Closes: #932985).
  * Correctly overrides override_dh_sphinxdoc rather than auto_build.
  * Add missing (build-)depends python3-six.

  [Emmanuel Arias]
  * Apply Thomas Goirand patch.

  [ Jean-Michel Vourgère ]
  * Disabled tests: They require unpackaged sbo-selenium.
  * Added d/s/options to ignore changes to egg-info.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Sun, 28 Jul 2019 23:10:52 +0200

django-session-security (2.6.5+dfsg-1) unstable; urgency=medium

  [ Jean-Michel Vourgère ]
  * New upstream version.
  * Bumped policy to 4.3.0: No change required.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

 -- Jean-Michel Vourgère <nirgal@debian.org>  Fri, 04 Jan 2019 18:20:17 +0100

=== debian/control ===
Source: django-session-security
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 9),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-six,
 python3-django,
 python3-sphinx
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jean-Michel Vourgère <nirgal@debian.org>
Vcs-Browser: https://salsa.debian.org/python-team/modules/django-session-security
Vcs-Git: https://salsa.debian.org/python-team/modules/django-session-security.git
Standards-Version: 4.4.0
Homepage: http://django-session-security.rtfd.org/

Package: python3-django-session-security
Architecture: all
Depends: python3-six,
         ${python3:Depends},
         ${misc:Depends},
         ${sphinxdoc:Depends}
Recommends: libjs-jquery
Description: Python3 Django module to log a user out after X minutes
 A little javascript and middleware work together to ensure that the
 user was active during the past X minutes in any tab he has open.
 Otherwise, display a warning leaving a couple of minutes to show any
 kind of activity like moving the mouse. Otherwise, logout the user.
 .
 This is the Python 3 version.

## django-session-security 2.6.6+dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	pycco ../session_security/static/session_security/*js -d $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-session-security.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-session-security.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-session-security"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-session-security"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
django-session-security (2.6.6+dfsg-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 16 Nov 2022 10:19:06 +0000

django-session-security (2.6.6+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Update standards version to 4.5.0, no changes needed.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Jean-Michel Vourgère ]
  * d/watch: Update to format 4.
  * New upstream version.
  * Bump Standards-Version to 4.5.1: No change needed.
  * Explicit Rules-Requires-Root: no.
  * Bump debhelper compat to 13.
  * Lintian override for repeated-path-segment.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Sun, 03 Jan 2021 00:33:42 +0100

=== debian/control ===
Source: django-session-security
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-six,
 python3-django,
 python3-sphinx
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jean-Michel Vourgère <nirgal@debian.org>
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-session-security
Vcs-Git: https://salsa.debian.org/python-team/packages/django-session-security.git
Standards-Version: 4.6.1
Homepage: https://django-session-security.rtfd.org/
Rules-Requires-Root: no

Package: python3-django-session-security
Architecture: all
Depends: python3-six,
         ${python3:Depends},
         ${misc:Depends},
         ${sphinxdoc:Depends}
Recommends: libjs-jquery
Description: Python3 Django module to log a user out after X minutes
 A little javascript and middleware work together to ensure that the
 user was active during the past X minutes in any tab he has open.
 Otherwise, display a warning leaving a couple of minutes to show any
 kind of activity like moving the mouse. Otherwise, logout the user.

## django-session-security 2.6.7%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,23 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-setuptools,
- python3-six,
  python3-django,
- python3-sphinx
+ python3-sphinx,
+ python3-selenium <!nocheck>
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Jean-Michel Vourgère <nirgal@debian.org>
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-session-security
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-session-security.git
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://django-session-security.rtfd.org/
 Rules-Requires-Root: no
 
 Package: python3-django-session-security
 Architecture: all
-Depends: python3-six,
-         ${python3:Depends},
+Depends: ${python3:Depends},
          ${misc:Depends},
          ${sphinxdoc:Depends}
 Recommends: libjs-jquery

## django-session-security 2.6.7+dfsg

=== debian/changelog ===
django-session-security (2.6.7+dfsg-1) unstable; urgency=medium

  * Team upload.

  [Yogeswaran Umasankar]
  * New upstream version 2.6.7.
  * Updated no-external-images patch to fit new upstream version.
  * Enabled tests during build + added d/tests for autopkgtest.
  * Included selenium in B-Depends in d/control.
  * Removed old lintian overrides.
  * Bumped Standards-Version to 4.6.2.
  * Added pybuild name in rules.

  [Andreas Tille]
  * Use sphinx-build
    Closes: #1042590

 -- Andreas Tille <tille@debian.org>  Sat, 10 Feb 2024 09:39:13 +0000

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE=1

export PYBUILD_NAME=session_security

%:
	dh "$@" --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	LC_ALL=C PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -bhtml docs/source build/sphinx/html
endif

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} setup.py test" dh_auto_test

=== debian/tests/control ===
Tests: tests
Depends: @, @builddeps@, python3-all
Restrictions: allow-stderr

=== debian/watch ===
# See uscan(1)

version=4

opts=uversionmangle=s/(rc\d*)$/~$1/,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg \
 https://github.com/yourlabs/@PACKAGE@/tags/ \
 .*/@ANY_VERSION@@ARCHIVE_EXT@
